[Python-modules-commits] [python-qtpy] 01/03: Run autopkgtests for all supported Python versions

Ghislain Vaillant ghisvail-guest at moszumanska.debian.org
Thu Mar 16 12:39:51 UTC 2017


This is an automated email from the git hooks/post-receive script.

ghisvail-guest pushed a commit to branch master
in repository python-qtpy.

commit f1f6872d57ab96b77bb893685a3d55d31b7743a1
Author: Ghislain Antony Vaillant <ghisvail at gmail.com>
Date:   Mon Mar 13 09:23:26 2017 +0000

    Run autopkgtests for all supported Python versions
---
 debian/tests/control | 28 ++++++++++++++++++++++++----
 1 file changed, 24 insertions(+), 4 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
index de3e6a9..b22993f 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,5 +1,25 @@
-Test-Command: cp -a ./qtpy/tests $AUTOPKGTEST_TMP ; cd $AUTOPKGTEST_TMP ; xvfb-run py.test
-Depends: python-qtpy, python-pytest, xauth, xvfb
+Test-Command: set -e
+ ; cp -r qtpy/tests "$AUTOPKGTEST_TMP"
+ ; for py in $(pyversions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; xvfb-run -a $py -m pytest -v
+ ; done
+Depends: python-all,
+         python-qtpy,
+         python-pytest,
+         xauth,
+         xvfb
 
-Test-Command: cp -a ./qtpy/tests $AUTOPKGTEST_TMP ; cd $AUTOPKGTEST_TMP ; xvfb-run py.test-3
-Depends: python3-qtpy, python3-pytest, xauth, xvfb
+Test-Command: set -e
+ ; cp -r qtpy/tests "$AUTOPKGTEST_TMP"
+ ; for py in $(py3versions -r 2>/dev/null)
+ ; do cd "$AUTOPKGTEST_TMP"
+ ; echo "Testing with $py:"
+ ; xvfb-run -a $py -m pytest -v
+ ; done
+Depends: python3-all,
+         python3-qtpy,
+         python3-pytest,
+         xauth,
+         xvfb

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/python-qtpy.git



More information about the Python-modules-commits mailing list